Skip to main content
GET
/
v3
/
webhooks
/
endpoints
List webhook endpoints
curl --request GET \
  --url https://api.heygen.com/v3/webhooks/endpoints \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "endpoint_id": "<string>",
      "url": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "events": [
        "avatar_video.success",
        "avatar_video.fail"
      ],
      "secret": "whsec_abc123def456"
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

limit
integer
default:10

Maximum number of endpoints to return (1-100). Default: 10.

Required range: 1 <= x <= 100
token
string

Opaque pagination cursor from a previous response's next_token.

Response

Successful response

data
WebhookEndpointResponse · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page